clear all;
close all;
clc;

%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                                                           %%
%%                     RFID: Contrle d'accs  assistance vocale avec Arduino et Matlab                    %%
%% Lien: https://www.electronique-mixte.fr/rfid-controle-dacces-a-assistance-vocale-avec-matlab-et-arduino/ %%
%                                                                                                           %%
%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Syntaxe audioread()

% [Y, FS]=audioread('Nom_Fichier');
% Nom_Fichier: Nom du fichier avec extension
% Y: Vecteurs de donnes 
% FS: frquence d'chantillonnage 

%% Exemple audioread()

% % Lecture de l'audio 
% [Y, FS]=audioread('./Audio/EN_welcome_F.mp3');
% 
% % Vecteur temeps 
% t=linspace(0,length(Y)/FS,length(Y)); 
% 
% % Affichage 
% plot(t,Y); grid on; 
% xlabel('Temps(t)'); ylabel('Amplitude'); 

%% Syntaxe/Exemple sound()

% % Importation audio  
% [Y, FS]=audioread('./Audio/EN_welcome_F.mp3');
% 
% % Lecture 
% sound(Y,FS);
% % Y: Vecteurs de donnes 
% % FS: frquence d'chantillonnage 
% 
% % sound(Y,FS/2);
% % sound(Y,FS/3);
% % sound(Y,FS/4);
% % sound(Y,2*FS);
% % sound(Y,3.1*FS);

%% Tempo 

% % Importation audio  
% [Y, FS]=audioread('./Audio/EN_welcome_F.mp3');
% 
% % Lancement du fichier audio  
% sound(Y,FS);
% 
% % Attente (Tempo=Dure de l'audio)  
% disp('Dbut audio'); 
% Tempo=length(Y)/FS; 
% pause(Tempo); 
% disp('Fin audio'); 

